aboutsummaryrefslogtreecommitdiff
path: root/games
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-04-10 17:44:24 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-04-10 17:44:24 +0000
commite8c925e314981b12de34289486d230487b03b533 (patch)
tree7b392f9a2ff259d942b71bfc6bcf8160aac2f787 /games
parentdc59a5791f2db9c6af6a966d7ea554b58594505c (diff)
downloadslackbuilds-e8c925e314981b12de34289486d230487b03b533.tar.gz
slackbuilds-e8c925e314981b12de34289486d230487b03b533.tar.bz2
wesnoth: adicionado
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1154 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'games')
-rw-r--r--games/strategy/wesnoth/slack-required8
-rwxr-xr-xgames/strategy/wesnoth/wesnoth.SlackBuild134
2 files changed, 142 insertions, 0 deletions
diff --git a/games/strategy/wesnoth/slack-required b/games/strategy/wesnoth/slack-required
new file mode 100644
index 00000000..be1ff9e9
--- /dev/null
+++ b/games/strategy/wesnoth/slack-required
@@ -0,0 +1,8 @@
+# Dependency list to wesnoth
+#
+# dependency [condition] [version]]
+libsdl >= 1.2
+libsdl-image >= 1.2
+vorbis-tools
+libsdl-mixer >= 1.2
+libsdl-net
diff --git a/games/strategy/wesnoth/wesnoth.SlackBuild b/games/strategy/wesnoth/wesnoth.SlackBuild
new file mode 100755
index 00000000..d9de2e9c
--- /dev/null
+++ b/games/strategy/wesnoth/wesnoth.SlackBuild
@@ -0,0 +1,134 @@
+#!/bin/bash
+#
+# SlackBuild for wesnoth
+# http://downloads.sourceforge.net/wesnoth/
+#
+# Author: Rudson R. Alves
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="wesnoth"
+PKG_NAME="wesnoth"
+ARCH=${ARCH:=i468}
+SRC_VERSION=${VERSION:=1.2.3}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+CONF_OPTIONS=${CONF_OPTIONS:=--with-kde}
+NUMJOBS=${NUMJOBS:="-j4"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$SRC_VERSION.tar.bz2"
+URL="http://downloads.sourceforge.net/wesnoth/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="MANUAL.turkish MANUAL README MANUAL.norwegian MANUAL.catalan MANUAL.indonesian MANUAL.italian MANUAL.czech MANUAL.chinese_simplified MANUAL.danish MANUAL.hungarian MANUAL.german MANUAL.french MANUAL.russian INSTALL copyright MANUAL.spanish MANUAL.polish ABOUT-NLS MANUAL.brazilian MANUAL.swedish COPYING"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+wesnoth: Battle for Wesnoth 1.2.3 turn-based fantasy game by Slack.Sarava
+wesnoth:
+wesnoth: Defeat all enemy leaders using a well-chosen cadre of troops,
+wesnoth: taking care to manage your resources of gold and villages. All
+wesnoth: units have their own strengths and weaknesses; to win, deploy your
+wesnoth: forces to their best advantage while denying your foes the chance to
+wesnoth: do the same. As units gain experience, they acquire new abilities
+wesnoth: and become more powerful. Play in your own language and test your
+wesnoth: skill against a smart computer opponent, or join Wesnoth's large
+wesnoth: community of on-line players. Create your own custom units,
+wesnoth: scenarios or campaigns, and share them with others.
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
+fi
+